Package com.google.protobuf

## Class Descriptors.OneofDescriptor

- java.lang.Object
- - com.google.protobuf.Descriptors.OneofDescriptor

Enclosing class:
  Descriptors

    public static final class Descriptors.OneofDescriptor
    extends java.lang.Object

Describes an oneof of a message type.

### Method Summary

All Methods Instance Methods Concrete Methods
`Descriptors.Descriptor` `getContainingType()`
`Descriptors.FieldDescriptor` `getField​(int index)`
`int` `getFieldCount()`
`Descriptors.FileDescriptor` `getFile()`
`java.lang.String` `getFullName()`
`int` `getIndex()` Get the index of this descriptor within its parent.
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getIndex

    public int getIndex()

Get the index of this descriptor within its parent.

#### getName

    public java.lang.String getName()

#### getFile

    public Descriptors.FileDescriptor getFile()

#### getFullName

    public java.lang.String getFullName()

#### getContainingType

    public Descriptors.Descriptor getContainingType()

#### getFieldCount

    public int getFieldCount()

#### getField

    public Descriptors.FieldDescriptor getField​(int index)